Qore Programming Language 0.8.8

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
AutoLocker Class Reference

provides a safe and exception-safe way to hold locks in Qore, only to be used on the stack, cannot be dynamically allocated More...

`#include <QoreThreadLock.h>`

Collaboration diagram for AutoLocker:
[legend]

## Public Member Functions
DLLLOCAL | AutoLocker (QoreThreadLock *l)
| creates the object and grabs the lock
DLLLOCAL | AutoLocker (QoreThreadLock &l)
| creates the object and grabs the lock
DLLLOCAL | ~AutoLocker ()
| destroys the object and grabs the lock

## Protected Attributes
QoreThreadLock * | lck
| the pointer to the lock that will be managed

## Detailed Description

provides a safe and exception-safe way to hold locks in Qore, only to be used on the stack, cannot be dynamically allocated

Ensures that locks are released by locking the lock when the object is created and releasing it when the object is destroyed. For a similar object that allows for unlocking the lock earlier than the object's destruction, see SafeLocker.

See Also
  SafeLocker
  OptLocker

The documentation for this class was generated from the following file:

- include/qore/QoreThreadLock.h (6086)